#include <3ds.h>
#include <stdio.h>
#include "faces.h"

int main(int argc, char **argv)
{

	//initializes the graphics services
	gfxInitDefault();
	
	//says we're gonna print with the console in a few different places
	PrintConsole TopTop, TopBot, BotScreen;
	
	//actually initilizes the console in those places
	consoleInit(GFX_TOP, &TopTop);
	consoleInit(GFX_TOP, &TopBot);
	consoleInit(GFX_BOTTOM, &BotScreen);

	
	consoleSetWindow(&TopTop, 1, 1, 48, 19);
	consoleSetWindow(&TopBot, 1, 21, 48, 8);
	
	int btnDown = 0;
	
	consoleSelect(&TopTop);
	faceSmile();
	
	consoleSelect(&TopBot);
	printf("This is your best friend, Paul. You've known\nhim for a very long time.");
		
	while (aptMainLoop())
	{
		//Scan all the inputs. This should be done once for each frame
		hidScanInput();

		//hidKeysDown returns information about which buttons have been just pressed (and they weren't in the previous frame)
		u32 kDown = hidKeysDown();
		
		if (kDown & KEY_SELECT) btnDown = 1;
		
		if (btnDown==1){
		consoleSelect(&TopBot);
		consoleClear();
		printf("You and Paul have been friends since as long as\nyou can remember. Whenever bad things happened\nor peope messed with you, Paul was always there\nto help you through it.");
		btnDown=0;
		}
		
		if (kDown & KEY_START) break; // break in order to return to hbmenu

	}

	gfxExit();
	return 0;
	
}